function phi = mq2d(x,xc,c)
% 2-D multiquadric radial basis function
% f = @(r,c) sqrt((c*r).^2 + 1);

f = @(r,c) sqrt((c*r).^2 + 1);

dx = x - repmat(xc,size(x,1),1);
r = sqrt(sum(dx.^2,2));
phi = f(r,c);